% before running: load
% Fig5_Fcdt_Fvdt_dt.mat. Run the enabled section directly to plot the figure.
% Raw data processing below are disabled
% Dtn (mm) are the measured d_t when d_i = n (mm)
% Fvn (N) are the measured F_v(d_t) when d_i = n (mm)
% Dt3 = [1.7, 2.0, 1.7, 1.6, 1.7, 1.6, 1.7, 1.9, 1.8, 1.9]; % plugs with Dv0-Dv2 are too long to close the vlave
% Dt4 = [2.8, 2.9, 3.0, 3.0, 3.0, 2.9, 3.0, 2.9, 3.0, 3.0];
% Dt5 = [3.8, 3.8, 3.9, 3.9, 3.9, 3.7, 3.8, 3.7, 3.8, 3.7]; % plugs with Dv6-Dv10 are too short to open the valve
% Fv3 = -[4.3, 4.3, 4.4, 4.5, 4.4, 4.3, 4.4, 4.2, 4.5, 4.3];
% Fv4 = -[4.3, 4.2, 4.3, 4.3, 4.2, 4.4, 4.2, 4.3, 4.3, 4.3];
% Fv5 = -[3.7, 4.0, 4.1, 3.8, 3.9, 3.8, 3.9, 4.0, 4.0, 3.9];
% MDt = [Dt3; Dt4; Dt5];
% MFv = [Fv3; Fv4; Fv5];
% %% Calculate the average and standard deviation of d_t and F_v(d_t)
% Dt_avr = [];
% Dt_std = [];
% Fv_avr = [];
% Fv_std = [];
% for i = 3:5
%     Dt_avr = [Dt_avr mean(MDt((i-2),:))];
%     Dt_std = [Dt_std std(MDt((i-2),:))];
%     Fv_avr = [Fv_avr mean(MFv((i-2),:))];
%     Fv_std = [Fv_std std(MFv((i-2),:))];
% end
% %% Calculate the initial contact force Fc_ini = Fs_ini+Fv_ini
% disp_ini = 5; % pre-set compression
% Fs_ini = -(1.023*disp_ini-1.032); % the measured spring force
% Fv_ini = 0; % valve force is 0 when no compression
% Fc_ini = Fs_ini+Fv_ini; % initial contact force
% %% Calculate the contact force F_c(d_t) for opening the valve: F_c(d_t) = F_s(d_t)+F_v(d_t): only Dt3-Dt5 valid
% Fsdt = [];
% Fcdt = [];
% for i = 3:5
%     Fsdt = [Fsdt -(1.023*(Dt_avr(i-2)+5)-1.032)];
%     Fcdt = [Fcdt Fsdt(i-2)+Fv_avr(i-2)];
% end
%% Plot Fig.5
fig = figure(1);
yyaxis left;
xlim([0, 10]);
ylim([-14, 0]);
xlabel('d_i (mm)');
hold on;
errorbar(3:5, Fv_avr, Fv_std, '.', 'MarkerSize', 5);
plot(3:5, Fcdt, 'o');
ylabel('Measured force (N)');
yyaxis right;
ylabel('d_t (mm)')
xlim([0, 10]);
ylim([0, 6]);
errorbar(3:5, Dt_avr, Dt_std, '.', 'MarkerSize', 5);
legend('F_v(d_t)', 'F_c(d_t)', 'd_t')