% before running: load
% Fig8_suction_characterization.mat.
% raw data available at:
% Fig7_suction_characterization_raw_data.xlsx
fig = figure(1);
yyaxis left
b = bar(Fs_avr, 'grouped');
hold on
% Calculate the number of groups and number of bars in each group
[ngroups,nbars] = size(Fs_avr);
% Get the x coordinate of the bars
x = nan(nbars, ngroups);
for i = 1:nbars
    x(i,:) = b(i).XEndPoints;
end
% Plot the errorbars
errorbar(x',Fs_avr,Fs_std, 'MarkerSize', 1, 'linestyle','none');
xticklabels({'EPs', 'HPs', 'PCs'});
ylabel('F_{smax} (N)');
ylim([-20, 20]);
yyaxis right
ylim([-20, 20]);
b(1).FaceColor = [0 0.5 1];
b(2).FaceColor = [0.2 0.6 1];
b(3).FaceColor = [0.4 0.7 1];
% plot Fc corresponding to the right axis
b = bar(Fc_avr, 'grouped');
hold on
% Calculate the number of groups and number of bars in each group
[ngroups,nbars] = size(Fc_avr);
% Get the x coordinate of the bars
x = nan(nbars, ngroups);
for i = 1:nbars
    x(i,:) = b(i).XEndPoints;
end
% Plot the errorbars
errorbar(x',Fc_avr,Fc_std, 'MarkerSize', 1, 'linestyle','none');
b(1).FaceColor = [1 0.5 0];
b(2).FaceColor = [1 0.6 0.2];
b(3).FaceColor = [1 0.7 0.4];
ylabel('F_c (N)')